diff -Nru debhelper-7.0.17/Debian/Debhelper/Dh_Lib.pm debhelper-8.0.0~mrvn.1/Debian/Debhelper/Dh_Lib.pm
--- debhelper-7.0.17/Debian/Debhelper/Dh_Lib.pm	2008-05-01 00:13:06.000000000 +0200
+++ debhelper-8.0.0~mrvn.1/Debian/Debhelper/Dh_Lib.pm	2008-09-06 18:23:51.000000000 +0200
@@ -17,7 +17,7 @@
 	    &is_udeb &udeb_filename &debhelper_script_subst &escape_shell
 	    &inhibit_log);
 
-my $max_compat=7;
+my $max_compat=8;
 
 sub init {
 	# If DH_OPTIONS is set, prepend it @ARGV.
@@ -538,6 +538,11 @@
 	my $globdir=shift;
 
 	my @ret;
+	my $tags = `dpkg-architecture -qDEB_HOST_ARCH`;
+	$tags = $tags . `dpkg-architecture -qDEB_HOST_ARCH_OS`;
+	$tags = $tags . `dpkg-architecture -qDEB_HOST_GNU_SYSTEM`;
+	$tags = $tags . `dpkg-architecture -qDEB_HOST_GNU_TYPE`;
+	$tags = $tags . $ENV{DEB_BUILD_OPTIONS} if ($ENV{DEB_BUILD_OPTIONS});
 	open (DH_FARRAY_IN, $file) || error("cannot read $file: $1");
 	while (<DH_FARRAY_IN>) {
 		chomp;
@@ -546,6 +551,30 @@
 			next if /^#/ || /^$/;
 		}
 		my @line;
+		my $input;
+		# Only do DEB_BUILD_OPTIONS checking in v8 mode.
+		if (! compat(7) && /^\[/) {
+			my $remaining;
+			($remaining) = m/^\[[^\]]*\]\s+(.*)/;
+			($_) = m/^\[([^\]]*)\]/im;
+			my $res = 0;
+			for (split) {
+				if (/^!/) {
+					($_) = m/^!(.*)/im;
+					if ($tags =~ /\b$_\b/) {
+						$res = 1;
+						last;
+					}
+				} else {
+					if (!($tags =~ /\b$_\b/)) {
+						$res = 1;
+						last;
+					}
+				}
+			}
+			next if $res;
+			$_ = $remaining;
+		}
 		# Only do glob expansion in v3 mode.
 		#
 		# The tricky bit is that the glob expansion is done
diff -Nru debhelper-7.0.17/debian/changelog debhelper-8.0.0~mrvn.1/debian/changelog
--- debhelper-7.0.17/debian/changelog	2008-08-23 04:30:21.000000000 +0200
+++ debhelper-8.0.0~mrvn.1/debian/changelog	2008-09-06 18:20:33.000000000 +0200
@@ -1,3 +1,10 @@
+debhelper (8.0.0~mrvn.1) unstable; urgency=low
+
+  * Introduce DEB_BUILD_OPTION and architecture specific tags for
+    package.* files to conditionally install files.
+
+ -- Goswin von Brederlow <goswin-v-b@web.de>  Sat, 06 Sep 2008 10:12:13 +0200
+
 debhelper (7.0.17) unstable; urgency=low
 
   [ Per Olofsson ]
